Bug 846904

Summary: CVE-2012-3466 gnome-keyring: improper caching of passwords/passphrase [fedora-all]
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: gnome-keyringAssignee: Tomáš Bžatek <tbzatek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 16CC: debarshir, jlieskov, stefw, tbzatek, tsmetana, walters
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-04 18:58:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 845426    
Attachments:
Description Flags
Patch for F17 none

Description Huzaifa S. Sidhpurwala 2012-08-09 01:23:00 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=845426

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Stef Walter 2012-08-15 16:52:52 EDT
I need commit access to the gnome-keyring package. I've requested access via admin.fedoraproject.org.
Comment 2 Stef Walter 2012-08-20 04:22:07 EDT
Created attachment 605596 [details]
Patch for F17

Here's a patch for f17 RPM.
Comment 3 Fedora Update System 2012-08-20 23:40:43 EDT
gnome-keyring-3.4.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-keyring-3.4.1-3.fc17
Comment 4 Fedora Update System 2012-08-21 05:54:36 EDT
Package gnome-keyring-3.4.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-keyring-3.4.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12368/gnome-keyring-3.4.1-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-04 18:58:06 EDT
gnome-keyring-3.4.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.